regex-tdfa-1.2.2: Replaces/Enhances Text.Regex

Safe Haskell | Safe
Language | Haskell98

Text.Regex.TDFA.NewDFA.Uncons

# Documentation

class Uncons a where #

Minimal complete definition

uncons

Methods

uncons :: a -> Maybe (Char, a) #

Instances

Uncons ByteString # |
Methods uncons :: ByteString -> Maybe (Char, ByteString) #
Uncons ByteString # |
Methods uncons :: ByteString -> Maybe (Char, ByteString) #
Uncons [Char] # |
Methods uncons :: [Char] -> Maybe (Char, [Char]) #
Uncons (Seq Char) # |
Methods uncons :: Seq Char -> Maybe (Char, Seq Char) #